use<threads.scad>

/*[Parámetros]*/

//Longitud total del pomo
Largo = 100;

//Diámetro del pomo
Diametro = 30;  //[22:1:50]

//Grosor de las paredes del pomo
Grosor = 4; //[3:1:6]

//Altura de los salientes laterales
Lateral = 30;



module Pomo() {
//Cuerpo central del pomo 

        difference() {
            translate([0,0,Diametro/2-3]) rotate([0,90,0])
                    cylinder(Largo,d=Diametro,$fn=200);

            translate([-1,-Diametro/2,-Grosor])
                cube([Largo+2,Diametro,Grosor]);
                translate([Largo/2,0,-Grosor-1.5])
        metric_thread(diameter=14.4, pitch=2, length=Diametro-3, internal=true, n_starts=1);
        }


//Laterales
difference() {
    union() {
        minkowski() {
            translate([1,-Diametro/2+(Diametro-1)/2,Diametro/2-3])
                cube([Grosor-2,Diametro-(Diametro-1),Diametro+Lateral-(Diametro-1)]);
            rotate([0,90,0])
                translate([0,0,0]) cylinder(0.01,d=Diametro-3,$fn=200);
            sphere(1,$fn=40);
        }

        minkowski() {
            translate([Largo-Grosor+1,-Diametro/2+(Diametro-1)/2,Diametro/2-3])
                cube([Grosor-2,Diametro-(Diametro-1),Diametro+Lateral-(Diametro-1)]);
            rotate([0,90,0])
                cylinder(0.01,d=Diametro-3,$fn=200);
            sphere(1,$fn=40);
        }
    }

    translate([-1,-Diametro/2,-Grosor])
        cube([Largo+2,Diametro,Grosor]);
}
}



Pomo();

